%global pypi_name lesscpy

Summary:        Lesscss compiler
Name:           python-%{pypi_name}
Version:        0.15.1
Release:        2%{?dist}
License:        MIT
URL:            https://github.com/robotis/lesscpy
Source0:        https://pypi.python.org/packages/source/l/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
 
%description
A compiler written in python 3 for the lesscss language.  For those of us not willing/able to have
node.js installed in our environment.  Not all features of lesscss are supported (yet).  Some
features wil probably never be supported (JavaScript evaluation).

%package -n python3-lesscpy
Summary:    Lesscss compiler
BuildRequires: python3-devel python3-setuptools python3-ply python3-pytest python3-six
Requires:   python3-ply python3-six

%description -n python3-lesscpy
A compiler written in python 3 for the lesscss language.  For those of us not willing/able to have
node.js installed in our environment.  Not all features of lesscss are supported (yet).  Some
features wil probably never be supported (JavaScript evaluation).

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install
ln -s ./lesscpy %{buildroot}/%{_bindir}/py3-lesscpy

%check
%pytest

%files -n python3-lesscpy
%license LICENSE
%{_bindir}/lesscpy
%{_bindir}/py3-lesscpy
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}*.egg-info

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.15.1-2
- Rebuilt for loongarch release

* Fri Sep 22 2023 jackeyji <jackeyji@tencent.com> - 0.15.1-1
- upgrade to 0.15.1

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.14.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.14.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.14.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.14.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 16 2023 Shuo Wang <abushwang@tencent.com> - 0.14.0-1
- initial build
